Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6771 - tunelp returns a confusing error message
Summary: tunelp returns a confusing error message
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tunelp
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-06 03:14 UTC by cac
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-18 23:33:06 UTC


Attachments (Terms of Use)

Description cac 1999-11-06 03:14:28 UTC
When tunelp is invoked with the '-i' option, and the option
value is not a number, the somewhat confusing error "sscanf
error: Success" is reported.

   tunelp /dev/lp0 -i x
   sscanf error: Success

tunelp-1.3-10

Comment 1 Michael K. Johnson 1999-11-18 23:20:59 UTC
You are right, that's clearly a mistake, and I've forwarded it on to
the util-linux maintainers list, as tunelp is now part of util-linux.
In the meantime, I guess the workaround is "don't do that then..."  :-)

Comment 2 Michael K. Johnson 1999-11-18 23:33:59 UTC
Andries fixed it in the upstream sources, so we'll get the fix in the next
util-linux release.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.